curl --request GET \
--url https://api.aisa.one/apis/v1/fred/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/sources")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"order_by": "source_id",
"sort_order": "asc",
"count": 58,
"offset": 0,
"limit": 1000,
"sources": [
{
"id": 1,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Board of Governors of the Federal Reserve System",
"link": "http://www.federalreserve.gov/"
},
{
"id": 3,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Reserve Bank of Philadelphia",
"link": "http://www.philadelphiafed.org/"
},
{
"id": 4,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Reserve Bank of St. Louis",
"link": "http://www.stlouisfed.org/"
},
{
"id": 6,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Financial Institutions Examination Council",
"link": "http://www.ffiec.gov/"
},
{
"id": 11,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Dow Jones & Company",
"link": "http://www.dowjones.com"
},
{
"id": 13,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Institute for Supply Management",
"link": "http://www.ism.ws/"
},
{
"id": 14,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Thomson Reuters/University of Michigan",
"link": "https://customers.reuters.com/community/university/default.aspx"
},
{
"id": 15,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "The White House: Council of Economic Advisors",
"link": "http://www.whitehouse.gov/cea/"
},
{
"id": 16,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "The White House: Office of Management and Budget",
"link": "http://www.whitehouse.gov/omb/"
},
{
"id": 17,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Congress: Congressional Budget Office",
"link": "http://www.cbo.gov/"
},
{
"id": 18,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Commerce: Bureau of Economic Analysis",
"link": "http://www.bea.gov/"
},
{
"id": 19,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Commerce: Census Bureau",
"link": "http://www.census.gov/"
},
{
"id": 21,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Housing and Urban Development",
"link": "http://www.hud.gov/"
},
{
"id": 22,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Labor: Bureau of Labor Statistics",
"link": "http://www.bls.gov/"
},
{
"id": 23,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of the Treasury: Financial Management Service",
"link": "http://www.fms.treas.gov/"
},
{
"id": 26,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Haver Analytics",
"link": "http://www.haver.com/"
},
{
"id": 31,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Reserve Bank of Australia",
"link": "http://www.rba.gov.au/"
},
{
"id": 32,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Deutsche Bundesbank",
"link": "http://www.bundesbank.de/index.en.php"
},
{
"id": 33,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Banca d'Italia",
"link": "http://www.bancaditalia.it/;internal&action=_setlanguage.action?LANGUAGE=en"
},
{
"id": 34,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Swiss National Bank",
"link": "http://www.snb.ch/"
},
{
"id": 35,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Central Bank of the Republic of Turkey",
"link": "http://www.tcmb.gov.tr/yeni/eng/"
},
{
"id": 36,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Housing Finance Agency",
"link": "http://www.fhfa.gov/"
},
{
"id": 37,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Bank of Japan"
},
{
"id": 38,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Banco de Mexico",
"link": "http://www.banxico.org.mx/"
},
{
"id": 41,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Freddie Mac",
"link": "http://www.freddiemac.com/index.html"
},
{
"id": 42,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Automatic Data Processing, Inc.",
"link": "http://www.adp.com/"
},
{
"id": 44,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Wilshire Associates Incorporated",
"link": "http://www.wilshire.com/"
},
{
"id": 46,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Reserve Bank of Kansas City",
"link": "http://www.kansascityfed.org/"
},
{
"id": 47,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Chicago Board Options Exchange",
"link": "http://www.cboe.com/"
},
{
"id": 48,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Organisation for Economic Co-operation and Development",
"link": "http://www.oecd.org/"
},
{
"id": 50,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Labor: Employment and Training Administration",
"link": "http://www.doleta.gov"
},
{
"id": 52,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "BofA Merrill Lynch",
"link": "http://www.ml.com"
},
{
"id": 53,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Energy: Energy Information Administration",
"link": "http://www.eia.gov/"
},
{
"id": 54,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Reserve Bank of Chicago",
"link": "http://www.chicagofed.org"
},
{
"id": 55,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "National Bureau of Economic Research",
"link": "http://www.nber.org/"
},
{
"id": 57,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "World Bank",
"link": "http://www.worldbank.org/"
},
{
"id": 59,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "National Association of Realtors",
"link": "http://www.realtor.org"
},
{
"id": 60,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "International Monetary Fund",
"link": "http://www.imf.org/external/index.htm",
"notes": "The International Monetary Fund (IMF) is an organization of 187 countries, working to foster global monetary cooperation, secure financial stability, facilitate international trade, promote high employment and sustainable economic growth, and reduce poverty around the world."
},
{
"id": 61,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Eurostat",
"link": "http://epp.eurostat.ec.europa.eu/portal/page/portal/eurostat/home/"
},
{
"id": 62,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "British Bankers' Association",
"link": "http://www.bbalibor.com"
},
{
"id": 63,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Transportation: Federal Highway Administration",
"link": "http://www.fhwa.dot.gov/"
},
{
"id": 64,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Bankrate, Inc.",
"link": "http://www.bankrate.com/"
},
{
"id": 65,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "London Bullion Market Association",
"link": "http://www.lbma.org.uk/pages/index.cfm?page_id=1"
},
{
"id": 66,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "University of Pennsylvania",
"link": "http://www.upenn.edu/"
},
{
"id": 67,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "CredAbility Nonprofit Credit Counseling & Education",
"link": "http://www.credability.org/en/homepage.aspx"
},
{
"id": 68,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Marcelle Chauvet and Jeremy Piger",
"link": "http://pages.uoregon.edu/jpiger/us_recession_probs.htm"
},
{
"id": 69,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Deposit Insurance Corporation",
"link": "http://www.fdic.gov/"
},
{
"id": 70,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Gerald P. Dwyer, Jr., R.W. Hafer, and Warren E. Weber"
},
{
"id": 74,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.K. Office for National Statistics",
"link": "http://www.ons.gov.uk/ons/index.html"
},
{
"id": 75,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Cabinet Office of Japan",
"link": "http://www.cao.go.jp/index-e.html"
},
{
"id": 76,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Bank of England",
"link": "http://www.bankofengland.co.uk/Pages/home.aspx"
},
{
"id": 77,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "European Central Bank"
},
{
"id": 78,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "University of Louisville: Logistics and Distribution Institute",
"link": "http://louisville.edu/lodi"
},
{
"id": 80,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Scott Baker, Nicholas Bloom and Steven J. Davis",
"link": "http://www.policyuncertainty.com/"
},
{
"id": 81,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Cass Information Systems, Inc.",
"link": "http://www.cassinfo.com/"
},
{
"id": 82,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Richard Anderson and Barry Jones",
"link": "http://research.stlouisfed.org/msi/index.html"
},
{
"id": 85,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "S&P Dow Jones Indices LLC",
"link": "http://www.djindexes.com/"
},
{
"id": 86,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Nikkei Inc.",
"link": "http://nikkei.com"
}
]
}Get Sources
curl --request GET \
--url https://api.aisa.one/apis/v1/fred/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/sources")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"order_by": "source_id",
"sort_order": "asc",
"count": 58,
"offset": 0,
"limit": 1000,
"sources": [
{
"id": 1,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Board of Governors of the Federal Reserve System",
"link": "http://www.federalreserve.gov/"
},
{
"id": 3,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Reserve Bank of Philadelphia",
"link": "http://www.philadelphiafed.org/"
},
{
"id": 4,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Reserve Bank of St. Louis",
"link": "http://www.stlouisfed.org/"
},
{
"id": 6,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Financial Institutions Examination Council",
"link": "http://www.ffiec.gov/"
},
{
"id": 11,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Dow Jones & Company",
"link": "http://www.dowjones.com"
},
{
"id": 13,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Institute for Supply Management",
"link": "http://www.ism.ws/"
},
{
"id": 14,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Thomson Reuters/University of Michigan",
"link": "https://customers.reuters.com/community/university/default.aspx"
},
{
"id": 15,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "The White House: Council of Economic Advisors",
"link": "http://www.whitehouse.gov/cea/"
},
{
"id": 16,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "The White House: Office of Management and Budget",
"link": "http://www.whitehouse.gov/omb/"
},
{
"id": 17,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Congress: Congressional Budget Office",
"link": "http://www.cbo.gov/"
},
{
"id": 18,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Commerce: Bureau of Economic Analysis",
"link": "http://www.bea.gov/"
},
{
"id": 19,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Commerce: Census Bureau",
"link": "http://www.census.gov/"
},
{
"id": 21,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Housing and Urban Development",
"link": "http://www.hud.gov/"
},
{
"id": 22,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Labor: Bureau of Labor Statistics",
"link": "http://www.bls.gov/"
},
{
"id": 23,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of the Treasury: Financial Management Service",
"link": "http://www.fms.treas.gov/"
},
{
"id": 26,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Haver Analytics",
"link": "http://www.haver.com/"
},
{
"id": 31,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Reserve Bank of Australia",
"link": "http://www.rba.gov.au/"
},
{
"id": 32,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Deutsche Bundesbank",
"link": "http://www.bundesbank.de/index.en.php"
},
{
"id": 33,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Banca d'Italia",
"link": "http://www.bancaditalia.it/;internal&action=_setlanguage.action?LANGUAGE=en"
},
{
"id": 34,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Swiss National Bank",
"link": "http://www.snb.ch/"
},
{
"id": 35,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Central Bank of the Republic of Turkey",
"link": "http://www.tcmb.gov.tr/yeni/eng/"
},
{
"id": 36,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Housing Finance Agency",
"link": "http://www.fhfa.gov/"
},
{
"id": 37,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Bank of Japan"
},
{
"id": 38,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Banco de Mexico",
"link": "http://www.banxico.org.mx/"
},
{
"id": 41,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Freddie Mac",
"link": "http://www.freddiemac.com/index.html"
},
{
"id": 42,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Automatic Data Processing, Inc.",
"link": "http://www.adp.com/"
},
{
"id": 44,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Wilshire Associates Incorporated",
"link": "http://www.wilshire.com/"
},
{
"id": 46,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Reserve Bank of Kansas City",
"link": "http://www.kansascityfed.org/"
},
{
"id": 47,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Chicago Board Options Exchange",
"link": "http://www.cboe.com/"
},
{
"id": 48,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Organisation for Economic Co-operation and Development",
"link": "http://www.oecd.org/"
},
{
"id": 50,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Labor: Employment and Training Administration",
"link": "http://www.doleta.gov"
},
{
"id": 52,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "BofA Merrill Lynch",
"link": "http://www.ml.com"
},
{
"id": 53,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Energy: Energy Information Administration",
"link": "http://www.eia.gov/"
},
{
"id": 54,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Reserve Bank of Chicago",
"link": "http://www.chicagofed.org"
},
{
"id": 55,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "National Bureau of Economic Research",
"link": "http://www.nber.org/"
},
{
"id": 57,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "World Bank",
"link": "http://www.worldbank.org/"
},
{
"id": 59,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "National Association of Realtors",
"link": "http://www.realtor.org"
},
{
"id": 60,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "International Monetary Fund",
"link": "http://www.imf.org/external/index.htm",
"notes": "The International Monetary Fund (IMF) is an organization of 187 countries, working to foster global monetary cooperation, secure financial stability, facilitate international trade, promote high employment and sustainable economic growth, and reduce poverty around the world."
},
{
"id": 61,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Eurostat",
"link": "http://epp.eurostat.ec.europa.eu/portal/page/portal/eurostat/home/"
},
{
"id": 62,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "British Bankers' Association",
"link": "http://www.bbalibor.com"
},
{
"id": 63,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.S. Department of Transportation: Federal Highway Administration",
"link": "http://www.fhwa.dot.gov/"
},
{
"id": 64,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Bankrate, Inc.",
"link": "http://www.bankrate.com/"
},
{
"id": 65,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "London Bullion Market Association",
"link": "http://www.lbma.org.uk/pages/index.cfm?page_id=1"
},
{
"id": 66,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "University of Pennsylvania",
"link": "http://www.upenn.edu/"
},
{
"id": 67,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "CredAbility Nonprofit Credit Counseling & Education",
"link": "http://www.credability.org/en/homepage.aspx"
},
{
"id": 68,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Marcelle Chauvet and Jeremy Piger",
"link": "http://pages.uoregon.edu/jpiger/us_recession_probs.htm"
},
{
"id": 69,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Federal Deposit Insurance Corporation",
"link": "http://www.fdic.gov/"
},
{
"id": 70,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Gerald P. Dwyer, Jr., R.W. Hafer, and Warren E. Weber"
},
{
"id": 74,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "U.K. Office for National Statistics",
"link": "http://www.ons.gov.uk/ons/index.html"
},
{
"id": 75,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Cabinet Office of Japan",
"link": "http://www.cao.go.jp/index-e.html"
},
{
"id": 76,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Bank of England",
"link": "http://www.bankofengland.co.uk/Pages/home.aspx"
},
{
"id": 77,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "European Central Bank"
},
{
"id": 78,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "University of Louisville: Logistics and Distribution Institute",
"link": "http://louisville.edu/lodi"
},
{
"id": 80,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Scott Baker, Nicholas Bloom and Steven J. Davis",
"link": "http://www.policyuncertainty.com/"
},
{
"id": 81,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Cass Information Systems, Inc.",
"link": "http://www.cassinfo.com/"
},
{
"id": 82,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Richard Anderson and Barry Jones",
"link": "http://research.stlouisfed.org/msi/index.html"
},
{
"id": 85,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "S&P Dow Jones Indices LLC",
"link": "http://www.djindexes.com/"
},
{
"id": 86,
"realtime_start": "2013-08-14",
"realtime_end": "2013-08-14",
"name": "Nikkei Inc.",
"link": "http://nikkei.com"
}
]
}Request contract
- Method and path: GET /apis/v1/fred/sources
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/fred/sources
- file_type: query; optional
- limit: query; optional
- offset: query; optional
- order_by: query; optional
- realtime_end: query; optional
- realtime_start: query; optional
- sort_order: query; optional
- Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
{
"operationId": "any_fred_apis_v1_fred_sources",
"method": "GET",
"path": "/apis/v1/fred/sources",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "file_type",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"xml",
"json"
],
"default": "xml"
},
"description": "A key or file extension that indicates the type of file to send.\nstring, optional, default: xml\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"x-aisa-reference-declarations": [
"string, optional, default: xml",
"One of the following values: 'xml', 'json'"
]
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 1000,
"default": 1000
},
"description": "The maximum number of results to return.\ninteger between 1 and 1000, optional, default: 1000",
"x-aisa-reference-declarations": [
"integer between 1 and 1000, optional, default: 1000"
]
},
{
"name": "offset",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 0,
"default": 0
},
"description": "non-negative integer, optional, default: 0",
"x-aisa-reference-declarations": [
"non-negative integer, optional, default: 0"
]
},
{
"name": "order_by",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"source_id",
"name",
"realtime_start",
"realtime_end"
],
"default": "source_id"
},
"description": "Order results by values of the specified attribute.\nOne of the following strings: 'source_id', 'name', 'realtime_start', 'realtime_end'.\noptional, default: source_id",
"x-aisa-reference-declarations": [
"One of the following strings: 'source_id', 'name', 'realtime_start', 'realtime_end'.",
"optional, default: source_id"
]
},
{
"name": "realtime_end",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The end of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "realtime_start",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The start of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "sort_order",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"asc",
"desc"
],
"default": "asc"
},
"description": "Sort results is ascending or descending order for attribute values specified by order_by.\nOne of the following strings: 'asc', 'desc'.\noptional, default: asc",
"x-aisa-reference-declarations": [
"One of the following strings: 'asc', 'desc'.",
"optional, default: asc"
]
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 1e-05,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 1e-05
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.
xml, json The maximum number of results to return. integer between 1 and 1000, optional, default: 1000
1 <= x <= 1000non-negative integer, optional, default: 0
x >= 0Order results by values of the specified attribute. One of the following strings: 'source_id', 'name', 'realtime_start', 'realtime_end'. optional, default: source_id
source_id, name, realtime_start, realtime_end The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
Sort results is ascending or descending order for attribute values specified by order_by. One of the following strings: 'asc', 'desc'. optional, default: asc
asc, desc Response
Official representation and examples only; no complete response schema is declared.